> For the complete documentation index, see [llms.txt](https://developer.fotokite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.fotokite.com/~/changes/46/fotokite-api/subscription.md).

# Subscription

## Connect to web socket

> This endpoint will allow a connection upgrade to a websocket

```json
{"openapi":"3.0.4","info":{"title":"Fotokite API","version":"0.2.0"},"servers":[{"url":"http://192.168.2.100:3128/api","description":"API service running on the system"},{"url":"http://{hostname}:3128/api","description":"API service visible through NAT","variables":{"hostname":{"default":"sigma.local"}}}],"security":[{"TokenAuth":[]}],"components":{"securitySchemes":{"TokenAuth":{"description":"Plugin authentication using Bearer token. For more details, see [Fotokite API Documentation](https://developer.fotokite.com/~/changes/46/getting-started#authentication).\n","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"http://192.168.2.100:3128/api/v0/authentication/tokens/request","scopes":{"info":"Read static information about the system.","telemetry":"Read dynamic information about the system.","command":"Send commands to the system.","media":"Interaction with the media library.","internal":"Fotokite-internal APIs."}}}}}},"paths":{"/v0/{category}/{endpoint}/subscribe":{"get":{"tags":["Subscription"],"summary":"Connect to web socket","description":"This endpoint will allow a connection upgrade to a websocket","parameters":[{"in":"path","name":"category","description":"Category of the endpoint to to subscribe to","required":true,"schema":{"type":"string"}},{"in":"path","name":"endpoint","description":"Which endpoint to subscribe to","required":true,"schema":{"type":"string"}}],"responses":{"101":{"description":"Websocket connection established.","headers":{"Set-Cookie":{"schema":{"type":"string"}}}},"404":{"description":"Endpoint does not exist"},"405":{"description":"Endpoint does not support subscription"}}}}}}
```

## POST /v0/{category}/{endpoint}/subscribe

> Subscribe for updates

```json
{"openapi":"3.0.4","info":{"title":"Fotokite API","version":"0.2.0"},"servers":[{"url":"http://192.168.2.100:3128/api","description":"API service running on the system"},{"url":"http://{hostname}:3128/api","description":"API service visible through NAT","variables":{"hostname":{"default":"sigma.local"}}}],"security":[{"TokenAuth":[]}],"components":{"securitySchemes":{"TokenAuth":{"description":"Plugin authentication using Bearer token. For more details, see [Fotokite API Documentation](https://developer.fotokite.com/~/changes/46/getting-started#authentication).\n","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"http://192.168.2.100:3128/api/v0/authentication/tokens/request","scopes":{"info":"Read static information about the system.","telemetry":"Read dynamic information about the system.","command":"Send commands to the system.","media":"Interaction with the media library.","internal":"Fotokite-internal APIs."}}}}}},"paths":{"/v0/{category}/{endpoint}/subscribe":{"post":{"tags":["Subscription"],"summary":"Subscribe for updates","parameters":[{"in":"path","name":"category","description":"Category of the endpoint to to subscribe to","required":true,"schema":{"type":"string"}},{"in":"path","name":"endpoint","description":"Which endpoint to subscribe to","required":true,"schema":{"type":"string"}},{"in":"cookie","name":"connection","description":"Which connection to use","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Subscribed"},"400":{"description":"No such connection"},"404":{"description":"Endpoint does not exist"},"405":{"description":"Endpoint does not support subscription"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.fotokite.com/~/changes/46/fotokite-api/subscription.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
